From 6ac5ea71cbbc2f7f036154dbe1eb5e1dd1981301 Mon Sep 17 00:00:00 2001
From: Chris Murphy <chrismurphy@fedoraproject.org>
Date: Oct 19 2020 01:04:55 +0000
Subject: [PATCH 1/4] Bootloader screenshots: update BIOS, add UEFI


---

diff --git a/modules/install-guide/assets/images/boot/boot-menu-BIOS.png b/modules/install-guide/assets/images/boot/boot-menu-BIOS.png
new file mode 100644
index 0000000..4a7e19d
Binary files /dev/null and b/modules/install-guide/assets/images/boot/boot-menu-BIOS.png differ
diff --git a/modules/install-guide/assets/images/boot/boot-menu-UEFI.png b/modules/install-guide/assets/images/boot/boot-menu-UEFI.png
new file mode 100644
index 0000000..ec1ace5
Binary files /dev/null and b/modules/install-guide/assets/images/boot/boot-menu-UEFI.png differ
diff --git a/modules/install-guide/assets/images/boot/boot-menu.png b/modules/install-guide/assets/images/boot/boot-menu.png
deleted file mode 100644
index 412af59..0000000
Binary files a/modules/install-guide/assets/images/boot/boot-menu.png and /dev/null differ
diff --git a/modules/install-guide/pages/install/Booting_the_Installation.adoc b/modules/install-guide/pages/install/Booting_the_Installation.adoc
index 9e91d59..6c4f645 100644
--- a/modules/install-guide/pages/install/Booting_the_Installation.adoc
+++ b/modules/install-guide/pages/install/Booting_the_Installation.adoc
@@ -81,6 +81,10 @@ When editing the default set of options, you can change the existing ones as wel
 
 .Editing boot options on a system with BIOS firmware
 
-image::boot/boot-menu.png[The boot menu.]
+image::boot/boot-menu-BIOS.png[The boot menu.]
 
-All available [application]*Anaconda* boot options are described in xref:advanced/Boot_Options.adoc#sect-boot-options-available[Available Boot Options].
\ No newline at end of file
+.Editing boot options on a system with UEFI firmware
+
+image::boot/boot-menu-UEFI.png[The boot menu.]
+
+All available [application]*Anaconda* boot options are described in xref:advanced/Boot_Options.adoc#sect-boot-options-available[Available Boot Options].

From e199e8f8e8a8377634dfbb206226262a2c7a5e8d Mon Sep 17 00:00:00 2001
From: Chris Murphy <chrismurphy@fedoraproject.org>
Date: Oct 19 2020 01:07:34 +0000
Subject: [PATCH 2/4] Anaconda: Update various screenshots


---

diff --git a/modules/install-guide/assets/images/anaconda/CustomSpoke.png b/modules/install-guide/assets/images/anaconda/CustomSpoke.png
index 145d9eb..63d3489 100644
Binary files a/modules/install-guide/assets/images/anaconda/CustomSpoke.png and b/modules/install-guide/assets/images/anaconda/CustomSpoke.png differ
diff --git a/modules/install-guide/assets/images/anaconda/CustomSpoke_AddBtrfs.png b/modules/install-guide/assets/images/anaconda/CustomSpoke_AddBtrfs.png
index fa36a97..f244eb8 100644
Binary files a/modules/install-guide/assets/images/anaconda/CustomSpoke_AddBtrfs.png and b/modules/install-guide/assets/images/anaconda/CustomSpoke_AddBtrfs.png differ
diff --git a/modules/install-guide/assets/images/anaconda/CustomSpoke_AddLVM.png b/modules/install-guide/assets/images/anaconda/CustomSpoke_AddLVM.png
index c76a5cf..e8faf5b 100644
Binary files a/modules/install-guide/assets/images/anaconda/CustomSpoke_AddLVM.png and b/modules/install-guide/assets/images/anaconda/CustomSpoke_AddLVM.png differ
diff --git a/modules/install-guide/assets/images/anaconda/CustomSpoke_AddPhysical.png b/modules/install-guide/assets/images/anaconda/CustomSpoke_AddPhysical.png
index a700154..8649d7d 100644
Binary files a/modules/install-guide/assets/images/anaconda/CustomSpoke_AddPhysical.png and b/modules/install-guide/assets/images/anaconda/CustomSpoke_AddPhysical.png differ
diff --git a/modules/install-guide/assets/images/anaconda/CustomSpoke_RescanDisks.png b/modules/install-guide/assets/images/anaconda/CustomSpoke_RescanDisks.png
index 53cc560..1b581e5 100644
Binary files a/modules/install-guide/assets/images/anaconda/CustomSpoke_RescanDisks.png and b/modules/install-guide/assets/images/anaconda/CustomSpoke_RescanDisks.png differ
diff --git a/modules/install-guide/assets/images/anaconda/DateTimeSpoke.png b/modules/install-guide/assets/images/anaconda/DateTimeSpoke.png
index 4bee16e..2727ee7 100644
Binary files a/modules/install-guide/assets/images/anaconda/DateTimeSpoke.png and b/modules/install-guide/assets/images/anaconda/DateTimeSpoke.png differ
diff --git a/modules/install-guide/assets/images/anaconda/DateTimeSpoke_AddNTP.png b/modules/install-guide/assets/images/anaconda/DateTimeSpoke_AddNTP.png
index d71e295..f7ed95d 100644
Binary files a/modules/install-guide/assets/images/anaconda/DateTimeSpoke_AddNTP.png and b/modules/install-guide/assets/images/anaconda/DateTimeSpoke_AddNTP.png differ
diff --git a/modules/install-guide/assets/images/anaconda/FilterSpoke.png b/modules/install-guide/assets/images/anaconda/FilterSpoke.png
index 3edd731..55a114b 100644
Binary files a/modules/install-guide/assets/images/anaconda/FilterSpoke.png and b/modules/install-guide/assets/images/anaconda/FilterSpoke.png differ
diff --git a/modules/install-guide/assets/images/anaconda/KeyboardSpoke.png b/modules/install-guide/assets/images/anaconda/KeyboardSpoke.png
index 8232580..681107d 100644
Binary files a/modules/install-guide/assets/images/anaconda/KeyboardSpoke.png and b/modules/install-guide/assets/images/anaconda/KeyboardSpoke.png differ
diff --git a/modules/install-guide/assets/images/anaconda/LangSupportSpoke.png b/modules/install-guide/assets/images/anaconda/LangSupportSpoke.png
index 22fb1d9..2823aff 100644
Binary files a/modules/install-guide/assets/images/anaconda/LangSupportSpoke.png and b/modules/install-guide/assets/images/anaconda/LangSupportSpoke.png differ
diff --git a/modules/install-guide/assets/images/anaconda/NetworkSpoke.png b/modules/install-guide/assets/images/anaconda/NetworkSpoke.png
index 5878fd1..35e5ce5 100644
Binary files a/modules/install-guide/assets/images/anaconda/NetworkSpoke.png and b/modules/install-guide/assets/images/anaconda/NetworkSpoke.png differ
diff --git a/modules/install-guide/assets/images/anaconda/PasswordSpoke.png b/modules/install-guide/assets/images/anaconda/PasswordSpoke.png
index 33e2357..76f739d 100644
Binary files a/modules/install-guide/assets/images/anaconda/PasswordSpoke.png and b/modules/install-guide/assets/images/anaconda/PasswordSpoke.png differ
diff --git a/modules/install-guide/assets/images/anaconda/SoftwareSpoke.png b/modules/install-guide/assets/images/anaconda/SoftwareSpoke.png
index 4588183..c4591d7 100644
Binary files a/modules/install-guide/assets/images/anaconda/SoftwareSpoke.png and b/modules/install-guide/assets/images/anaconda/SoftwareSpoke.png differ
diff --git a/modules/install-guide/assets/images/anaconda/SourceSpoke.png b/modules/install-guide/assets/images/anaconda/SourceSpoke.png
index f2a384c..fe8b89d 100644
Binary files a/modules/install-guide/assets/images/anaconda/SourceSpoke.png and b/modules/install-guide/assets/images/anaconda/SourceSpoke.png differ
diff --git a/modules/install-guide/assets/images/anaconda/StorageSpoke.png b/modules/install-guide/assets/images/anaconda/StorageSpoke.png
index b329196..cae592e 100644
Binary files a/modules/install-guide/assets/images/anaconda/StorageSpoke.png and b/modules/install-guide/assets/images/anaconda/StorageSpoke.png differ
diff --git a/modules/install-guide/assets/images/anaconda/SummaryHub.png b/modules/install-guide/assets/images/anaconda/SummaryHub.png
index 03a61de..7b3cc8d 100644
Binary files a/modules/install-guide/assets/images/anaconda/SummaryHub.png and b/modules/install-guide/assets/images/anaconda/SummaryHub.png differ
diff --git a/modules/install-guide/assets/images/anaconda/SummaryHub_Mouseover.png b/modules/install-guide/assets/images/anaconda/SummaryHub_Mouseover.png
index 7e4f28b..222e37f 100644
Binary files a/modules/install-guide/assets/images/anaconda/SummaryHub_Mouseover.png and b/modules/install-guide/assets/images/anaconda/SummaryHub_Mouseover.png differ
diff --git a/modules/install-guide/assets/images/anaconda/SummaryHub_States.png b/modules/install-guide/assets/images/anaconda/SummaryHub_States.png
index 539a786..792de98 100644
Binary files a/modules/install-guide/assets/images/anaconda/SummaryHub_States.png and b/modules/install-guide/assets/images/anaconda/SummaryHub_States.png differ
diff --git a/modules/install-guide/assets/images/anaconda/SummaryHub_TextMode.png b/modules/install-guide/assets/images/anaconda/SummaryHub_TextMode.png
index be0ea51..ab9f71f 100644
Binary files a/modules/install-guide/assets/images/anaconda/SummaryHub_TextMode.png and b/modules/install-guide/assets/images/anaconda/SummaryHub_TextMode.png differ
diff --git a/modules/install-guide/assets/images/anaconda/UserSpoke.png b/modules/install-guide/assets/images/anaconda/UserSpoke.png
index f6cff6f..3b6068d 100644
Binary files a/modules/install-guide/assets/images/anaconda/UserSpoke.png and b/modules/install-guide/assets/images/anaconda/UserSpoke.png differ
diff --git a/modules/install-guide/assets/images/anaconda/WelcomeSpoke.png b/modules/install-guide/assets/images/anaconda/WelcomeSpoke.png
index ae0bb2e..da8a7e6 100644
Binary files a/modules/install-guide/assets/images/anaconda/WelcomeSpoke.png and b/modules/install-guide/assets/images/anaconda/WelcomeSpoke.png differ

From 78a289b38cbb1a8eac31097054bbecd3cc8a2f2b Mon Sep 17 00:00:00 2001
From: Chris Murphy <chrismurphy@fedoraproject.org>
Date: Oct 19 2020 01:10:32 +0000
Subject: [PATCH 3/4] Relocate inst.text paragraph


---

diff --git a/modules/install-guide/pages/install/Installing_Using_Anaconda.adoc b/modules/install-guide/pages/install/Installing_Using_Anaconda.adoc
index 4d53ace..d7ff67c 100644
--- a/modules/install-guide/pages/install/Installing_Using_Anaconda.adoc
+++ b/modules/install-guide/pages/install/Installing_Using_Anaconda.adoc
@@ -81,6 +81,8 @@ Additionally, you can use the [command]#autostep --autoscreenshot# command in a 
 
 Text mode installation offers an interactive, non-graphical interface for installing {PRODUCT}. This may be useful on systems with no graphical capabilities; however, you should always consider the available alternatives before starting a text-based installation. Text mode is limited in the amount of choices you can make during the installation.
 
+To start a text mode installation, boot the installation with the [option]#inst.text# boot option used either at the boot command line in the boot menu, or in your PXE server configuration. See xref:install/Booting_the_Installation.adoc#chap-booting-the-installation[Booting the Installation] for information about booting and using boot options.
+
 There are two alternatives to text mode which can both be used even if the installation system does not have a graphical display. You can either connect to the installation system using VNC and perform an interactive graphical installation remotely (see xref:advanced/VNC_Installations.adoc#chap-vnc-installations[Installing Using VNC]), or you can create a Kickstart file to perform the installation automatically (see xref:advanced/Kickstart_Installations.adoc#chap-kickstart-installations[Automating the Installation with Kickstart]).
 
 .Text Mode Installation
@@ -97,8 +99,6 @@ Limits of interactive text mode installation include:
 
 * It is not possible to configure custom partitioning; you must use one of the automatic partitioning settings. You also cannot configure where the boot loader will be installed.
 
-To start a text mode installation, boot the installation with the [option]#inst.text# boot option used either at the boot command line in the boot menu, or in your PXE server configuration. See xref:install/Booting_the_Installation.adoc#chap-booting-the-installation[Booting the Installation] for information about booting and using boot options.
-
 [[sect-installation-graphical-mode]]
 == Installing in the Graphical User Interface
 

From 352ae2d11f8683eef6536a3b4b77f8953644cce5 Mon Sep 17 00:00:00 2001
From: Chris Murphy <chrismurphy@fedoraproject.org>
Date: Oct 19 2020 01:29:05 +0000
Subject: [PATCH 4/4] Update installation progress


Rearrangement to reflect that configuration of root and user
accounts are no longer possible in the installatin progress spoke.

---

diff --git a/modules/install-guide/assets/images/anaconda/ProgressHub.png b/modules/install-guide/assets/images/anaconda/ProgressHub.png
index 3c4bd08..acbdccd 100644
Binary files a/modules/install-guide/assets/images/anaconda/ProgressHub.png and b/modules/install-guide/assets/images/anaconda/ProgressHub.png differ
diff --git a/modules/install-guide/pages/_partials/install/ProgressHub.adoc b/modules/install-guide/pages/_partials/install/ProgressHub.adoc
index be99af5..b577efe 100644
--- a/modules/install-guide/pages/_partials/install/ProgressHub.adoc
+++ b/modules/install-guide/pages/_partials/install/ProgressHub.adoc
@@ -2,15 +2,13 @@
 :experimental:
 
 [[sect-installation-gui-installation-progress]]
-=== Configuration and Installation Progress
+=== Installation Progress
 
-The `Configuration` screen is displayed after you finish configuring all required items in xref:Installing_Using_Anaconda.adoc#sect-installation-gui-installation-summary[Installation Summary] and press the `Begin installation` button. After this point, the installation process actually starts and changes are being made to your selected disks. It is not possible to go back to the `Installation Summary` and change any settings configured there; if you need to do so, you must wait for the installation process to finish, reboot your system, log in and change your settings on the installed system.
+The `Installation Progress` screen is displayed after you finish configuring all required items in xref:Installing_Using_Anaconda.adoc#sect-installation-gui-installation-summary[Installation Summary] and press the `Begin installation` button. After this point, the installation process actually starts and changes are being made to your selected disks. It is not possible to go back to the `Installation Summary` and change any settings configured there; if you need to do so, you must wait for the installation process to finish, reboot your system, log in and change your settings on the installed system.
 
-.Configuration and Installation Progress
+.Installation Progress
 
-image::anaconda/ProgressHub.png[The Configuration screen. Two more screens at the top require configuration. Installation progress is displayed at the bottom.]
-
-In the top part of the screen, two additional options are available, allowing you to configure authentication settings - the `root` password and an additional user account. Configuring the `root` password is required to finish the installation; creating a user account can be skipped. If you do so, you will be prompted to create a non-root user account after the installation finishes and your system reboots.
+image::anaconda/ProgressHub.png[Installation progress screen.]
 
 The bottom of the screen shows a progress bar and a message informing you of the current progress of the installation. When the installation finishes and the `root` password has been set, you can press the `Finish configuration` button to reboot your computer and log in to your newly installed {PRODUCT} system.
 
diff --git a/modules/install-guide/pages/install/Installing_Using_Anaconda.adoc b/modules/install-guide/pages/install/Installing_Using_Anaconda.adoc
index d7ff67c..f6d1897 100644
--- a/modules/install-guide/pages/install/Installing_Using_Anaconda.adoc
+++ b/modules/install-guide/pages/install/Installing_Using_Anaconda.adoc
@@ -138,8 +138,8 @@ include::{partialsdir}/install/KdumpSpoke.adoc[]
 
 include::{partialsdir}/install/NetworkSpoke.adoc[]
 
-include::{partialsdir}/install/ProgressHub.adoc[]
-
 include::{partialsdir}/install/PasswordSpoke.adoc[]
 
 include::{partialsdir}/install/UserSpoke.adoc[]
+
+include::{partialsdir}/install/ProgressHub.adoc[]

